import { IReason } from "./IReason";
export interface IMemoryReasonParams {
    maximum: number;
    current: number;
    description?: string;
}
export declare class MemoryReason implements IReason {
    readonly name = "memory";
    readonly maximum: number;
    readonly current: number;
    readonly description?: string;
    constructor(params: IMemoryReasonParams);
}
export declare const createMemoryReason: (params: IMemoryReasonParams) => MemoryReason;
